Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.j3d.threeD.raytracer.graphics
Class RandomColorGenerator

    java.lang.Object
      net.sf.j3d.threeD.raytracer.graphics.RandomColorGenerator

All Implemented Interfaces:
  ColorProducer, Producer

    public class RandomColorGenerator

extends Object
implements ColorProducer

Author:
  Mike Murray

Constructor Summary
`RandomColorGenerator()`
`RandomColorGenerator(ColorProducer baseRGB, ColorProducer offsetRGB)`

Method Summary
`RGB` | `evaluate(Object[] args)` Produces a color using the specified arguments.
`ColorProducer` | `getBaseRGB()`
`ColorProducer` | `getOffsetRGB()`
`void` | `setBaseRGB(ColorProducer base)`
`void` | `setOffsetRGB(ColorProducer offset)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RandomColorGenerator

    public RandomColorGenerator()

### RandomColorGenerator

    public RandomColorGenerator(ColorProducer baseRGB,
                                ColorProducer offsetRGB)

Method Detail

### setBaseRGB

    public void setBaseRGB(ColorProducer base)

### setOffsetRGB

    public void setOffsetRGB(ColorProducer offset)

### getBaseRGB

    public ColorProducer getBaseRGB()

### getOffsetRGB

    public ColorProducer getOffsetRGB()

### evaluate

    public RGB evaluate(Object[] args)

  Description copied from interface: `ColorProducer`
  Produces a color using the specified arguments.

  Specified by:
    `evaluate` in interface `ColorProducer`
  Parameters:
    `args` - Arguments.
  Returns:
    The RGB color produced.
  See Also:
    `ColorProducer.evaluate(java.lang.Object[])`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD